Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 447034 - net-im/mcabber-0.10.2 - Doesn't build without USE+="crypt otr" - configure.ac: error: possibly undefined macro: AM_PATH_GPGME (and AM_PATH_LIBOTR)
Summary: net-im/mcabber-0.10.2 - Doesn't build without USE+="crypt otr" - configure.ac...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 4 votes (vote)
Assignee: Gentoo net-im Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-12 20:16 UTC by ataraxia937
Modified: 2014-03-18 22:43 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log as requested (build.log,2.43 KB, text/plain)
2012-12-12 22:23 UTC, ataraxia937
Details
autoconf.out referred to by build.log (autoconf.out,352 bytes, text/plain)
2012-12-12 22:23 UTC, ataraxia937
Details
otr_fix_patch.diff (otr_fix_patch.diff,62.46 KB, text/plain)
2013-01-28 14:43 UTC, David Heidelberg (okias)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ataraxia937 2012-12-12 20:16:10 UTC
If both of the USE flags "crypt" and "otr" are not set, net-im/mcabber-0.10.2 fails during configure phase. configure.ac has references to gpgme and libotr whether those libs are present or not.






Reproducible: Always

Steps to Reproduce:
1. Set "net-im/mcabber -crypt -otr" in package.use
2. Emerge net-im/mcabber-0.10.2
Actual Results:  
Package should build.

Expected Results:  
Package doesn't build.

autoconf fails with the following complaint:

configure.ac:181: error: possibly undefined macro: AM_PATH_GPGME
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure.ac:193: error: possibly undefined macro: AM_PATH_LIBOTR
Comment 1 Chris Reffett gentoo-dev Security 2012-12-12 22:09:33 UTC
Please post your emerge --info in a comment and attach your full build.log.
Comment 2 ataraxia937 2012-12-12 22:23:11 UTC
Created attachment 332174 [details]
build.log as requested
Comment 3 ataraxia937 2012-12-12 22:23:40 UTC
Created attachment 332176 [details]
autoconf.out referred to by build.log
Comment 4 ataraxia937 2012-12-12 22:24:30 UTC
Portage 2.1.11.37 (default/linux/amd64/10.0/desktop, gcc-4.6.3, glibc-2.16.0, 3.6.9-1-ARCH x86_64)
=================================================================
System uname: Linux-3.6.9-1-ARCH-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q9550_@_2.83GHz-with-gentoo-2.2
Timestamp of tree: Wed, 12 Dec 2012 19:15:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
app-shells/bash:          4.2_p39
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.10.2
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.5
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.6 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: gentoo
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.mirrors.pair.com/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 aspell berkdb bittorrent branding bzip2 cairo caps cdda cdr cli cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam firefox flac fortran freetype gdbm gif gtk gtk2 iconv inotify ipv6 jpeg kerberos lcms libnotify mad mmx mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl ogg opengl openmp openssl pam pango pcre pdf png ppds pppd qt3support readline sdl session spell sse sse2 ssl startup-notification svg tiff truetype udev udisks unicode upower usb vorbis wxwidgets x264 xattr xcb xft xml xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="vesa r600 radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 5 Nikolaj Šujskij 2012-12-13 07:37:01 UTC
Fails with USE="crypt -otr" as well
Comment 6 Dmitry Potapov 2012-12-13 18:56:36 UTC
I'm expecting the same problem, mcabber-0.10.2 fails to configure if USE=-otr. Quickie investigation shown that "USE=-otr emerge mcabber" works fine if libotr installed on system.
After short conversation with mcabber developers, i've added the following line at the begin of "src_prepare()":
cp macros/missing/libotr.m4 macros || die "something went wrong"

After that configuration passed successfully. I suggest this as an fix for USE=-otr ssue (most probably USE=-crypt can be fixed in the same way)
Comment 7 ataraxia937 2012-12-13 19:37:51 UTC
(In reply to comment #6)
> cp macros/missing/libotr.m4 macros || die "something went wrong"
> 
> After that configuration passed successfully. I suggest this as an fix for
> USE=-otr ssue (most probably USE=-crypt can be fixed in the same way)

I confirm that copying both gpgme.m4 and libotr.m4 as above,so that autoconf can find them, allows me to build this package with both of these USE flags unset.
Comment 8 David Heidelberg (okias) 2012-12-27 20:20:32 UTC
please fix. I can confirm.
Comment 9 David Heidelberg (okias) 2013-01-28 14:43:24 UTC
Created attachment 337108 [details]
otr_fix_patch.diff

fixed in upstream, please apply patch to portage.

Thank you
Comment 10 David Heidelberg (okias) 2013-04-28 16:54:15 UTC
any progress? In applying patch on portage?
Comment 11 David Heidelberg (okias) 2013-10-08 00:10:07 UTC
I did bump of actual git (contains mostly fixies usefull for Gentoo, nothing big).. ebuild is in this bugreport: https://bugs.gentoo.org/show_bug.cgi?id=438952
Comment 12 David Heidelberg (okias) 2013-10-19 20:42:08 UTC
In overlay ixit https://github.com/okias/ixit/tree/master/net-im/mcabber fixed.
Comment 13 Manuel Rüger gentoo-dev 2013-11-09 19:21:40 UTC
*mcabber-0.10.2_p20131025 (09 Nov 2013)

  09 Nov 2013; Manuel Rüger <mrueg@gentoo.org> +mcabber-0.10.2_p20131025.ebuild:
  Add new snapshot from mercurial, thanks to David Heidelberger (okias). Fixes
  bugs #438952 and #447034